<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwTrending: Plot and Page Choosing Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwTrendingSetTemplateParameters.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set the template parameters required for the display
        of a Trending Page of Trending Plot.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When the panel loads, you will be presented with a table
          that shows all the template parameters required by the Plot or Page.
          In the &quot;Value&quot; column of the table, any previously defined values for
          the template parameters will be shown.</p>
        <p>To set the value of a template parameter you can either:</p>
        <p>1) Click in the &quot;DP&quot; column on the &quot;...&quot; of the relevant table row
          to open a data point selector to choose a data point name that will
          substituted for the template parameter.</p>
        <p>2) Click in the right hand &quot;Value&quot; column of the relevant table row
          and type the desired value for the template parameter.</p>
        <p>Once you have entered all the values you require to set, press the
          OK button to set the new values. If you wish to not change the current
          settings, press the Cancel button.</p>
        <p>In some situations, there is a &quot;Leave Undefined&quot; button available.
          This can be used to set all the template parameters to undefined. This
          removes any previously configured value for the parameters.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">None</td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="302" height="128" border="0" align="center">
  <tbody>
    <tr>
      <td height="122">
        <div align="center"><img
 src="fwTrendingSetTemplateParameters.jpg" alt="Panel screenshot" width="446" height="263" style="width: 446px; height: 263px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$requiredParameters</td>
      <td>A dyn_string containing a list of template parameters which are required
        to be gathered. These appear in the &quot;Template Parameter&quot; column of the
        table.</td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$templateParameters</td>
      <td><p>A string containing any current definitions of template parameters.
          If a template parameter is defined in this list and appears in $requiredParameters,
        then its value will be shown in the &quot;Value&quot; column of the table.</p>
        <p>The string must be in the standard format for template parameters,
        e.g. a=1,b=2,param=value,</p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$mode</td>
      <td><p>The mode is a string which can be set to either &quot;set&quot; or anything
          else.</p>
      <p>In &quot;set&quot; mode, the values left undefined (i.e. {a} in the &quot;Value&quot; column)
      are not returned when the user presses OK. Only the parameters which have
        values that do not begin with { and end with } will be returned.</p>
      <p>In the other mode, all values are returned exactly as written in the
      &quot;Value&quot; column. So if a user leaves {a} in the column and presses OK, this
      is assumed to be the required value for this template parameter.</p></td>
      <td>Required</td>
    </tr>
  </tbody>
</table>
</body>
</html>
